libclastfm-devel-0.5-13.31.i586.rpm


Advertisement

Description

libclastfm-devel - Unofficial C-API for the Last.fm Web Service

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename libclastfm-devel-0.5-13.31.i586.rpm
Package name libclastfm-devel
Package version 0.5
Package release 13.31
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage http://liblastfm.sourceforge.net/
License GPL-3.0+
Maintainer -
Download size 13.04 KB
Installed size 18.54 KB
libclastfm development files.
libclastfm is an unofficial C-API for the Last.fm web service written
with libcurl. Has support for Album, Artist and User API methods as well
as full audio scrobbler support.

Alternatives

Package Version Architecture Repository
libclastfm-devel-0.5-13.31.x86_64.rpm 0.5 x86_64 Multimedia Libs
libclastfm-devel-0.5-9.11.x86_64.rpm 0.5 x86_64 openSUSE Oss
libclastfm-devel-0.5-9.11.i586.rpm 0.5 i586 openSUSE Oss
libclastfm-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libclastfm0 = 0.5
pkgconfig(libcurl) -

Provides

Name Value
libclastfm-devel = 0.5-13.31
libclastfm-devel(x86-32) = 0.5-13.31
pkgconfig(libclastfm) = 0.5

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libclastfm-devel-0.5-13.31.i586.rpm
Source Package libclastfm0-0.5-13.31.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install libclastfm-devel rpm package:
    # zypper install libclastfm-devel

Files

Path
/usr/include/clastfm.h
/usr/lib/libclastfm.so
/usr/lib/pkgconfig/libclastfm.pc
/usr/share/doc/packages/libclastfm-devel/AUTHORS
/usr/share/doc/packages/libclastfm-devel/README

Changelog

2012-05-11 - lazy.kent@opensuse.org
- Update to 0.5.
* Fixed segfault when passing NULL context to user API.
2012-03-12 - lazy.kent@opensuse.org
- Update from git to 0.4+git20120304 (pre 0.5 version).
* Get track correction when update now playing.
* Version number bump due to API & ABI change.
* Improve support for lastfm error codes and messages.
- Dropped "curl_include" patch (fixed upstream).
2012-02-08 - lazy.kent@opensuse.org
- Moved COPYING to main library package.
2011-12-15 - lazy.kent@opensuse.org
- Initial package created - 0.4.
- Patch not to use curl/types.h include.

See Also

Package Description
libclastfm0-0.5-13.31.i586.rpm Unofficial C-API for the Last.fm Web Service
libclastfm0-0.5-13.31.x86_64.rpm Unofficial C-API for the Last.fm Web Service
libconfig++-devel-1.7.2-36.5.i586.rpm C++ bindings development files for libconfig
libconfig++-devel-1.7.2-36.5.x86_64.rpm C++ bindings development files for libconfig
libconfig++11-1.7.2-36.5.i586.rpm C++ API of libconfig
libconfig++11-1.7.2-36.5.x86_64.rpm C++ API of libconfig
libconfig++11-32bit-1.7.2-36.5.x86_64.rpm C++ API of libconfig
libconfig-devel-1.7.2-36.5.i586.rpm C bindings development files for libconfig
libconfig-devel-1.7.2-36.5.x86_64.rpm C bindings development files for libconfig
libconfig11-1.7.2-36.5.i586.rpm C API of libconfig
libconfig11-1.7.2-36.5.x86_64.rpm C API of libconfig
libconfig11-32bit-1.7.2-36.5.x86_64.rpm C API of libconfig
libcue-devel-2.2.0-22.11.i586.rpm Development files for libcue, a CUE sheet parsing library
libcue-devel-2.2.0-22.11.x86_64.rpm Development files for libcue, a CUE sheet parsing library
libcue2-2.2.0-22.11.i586.rpm CUE sheet parsing library
Advertisement
Advertisement